LibreOffice LibreOffice 4.3 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Namespaces | Functions
proptypehlp.hxx File Reference
`#include <cppuhelper/proptypehlp.h>`

Go to the source code of this file.

## Namespaces
| cppu

## Functions
template<class target >
void | cppu::convertPropertyValue (target &value, const ::com::sun::star::uno::Any &a)
| Converts the value stored in an any to a concrete C++ type. More...
template<class target >
void | cppu::convertPropertyValue (target &value,::com::sun::star::uno::Any &a)
void | cppu::convertPropertyValue (sal_Bool &b, const ::com::sun::star::uno::Any &a)
| conversion of basic types More...
void | cppu::convertPropertyValue (sal_Int64 &i, const ::com::sun::star::uno::Any &a)
void | cppu::convertPropertyValue (sal_uInt64 &i, const ::com::sun::star::uno::Any &a)
void | cppu::convertPropertyValue (sal_Int32 &i, const ::com::sun::star::uno::Any &a)
void | cppu::convertPropertyValue (sal_uInt32 &i, const ::com::sun::star::uno::Any &a)
void | cppu::convertPropertyValue (sal_Int16 &i, const ::com::sun::star::uno::Any &a)
void | cppu::convertPropertyValue (sal_uInt16 &i, const ::com::sun::star::uno::Any &a)
void | cppu::convertPropertyValue (sal_Int8 &i, const ::com::sun::star::uno::Any &a)
void | cppu::convertPropertyValue (float &f, const ::com::sun::star::uno::Any &a)
void | cppu::convertPropertyValue (double &d, const ::com::sun::star::uno::Any &a)
void | cppu::convertPropertyValue (::rtl::OUString &ow, const ::com::sun::star::uno::Any &a)